# eric7.Plugins.VcsPlugins.vcsMercurial.ConfigurationPage.MercurialPage

Module implementing the Mercurial configuration page.

### Global Attributes

None

### Classes

MercurialPage | Class implementing the Mercurial configuration page.

### Functions

None

## MercurialPage

Class implementing the Mercurial configuration page.

### Derived from

ConfigurationPageBase, Ui_MercurialPage

### Class Attributes

None

### Class Methods

None

### Methods

MercurialPage | Constructor
__mercurialInstalled | Private method to check, if Mercurial is installed alongside eric7.
on_configButton_clicked | Private slot to edit the (per user) Mercurial configuration file.
on_installButton_clicked | Private slot to install Mercurial alongside eric7.
save | Public slot to save the Mercurial configuration.

### Static Methods

None

#### MercurialPage (Constructor)

MercurialPage(plugin)

Constructor

plugin
  reference to the plugin object

#### MercurialPage.__mercurialInstalled

__mercurialInstalled()

Private method to check, if Mercurial is installed alongside eric7.

Return:
  flag indicating an installed Mercurial executable

Return Type:
  bool

#### MercurialPage.on_configButton_clicked

on_configButton_clicked()

Private slot to edit the (per user) Mercurial configuration file.

#### MercurialPage.on_installButton_clicked

on_installButton_clicked()

Private slot to install Mercurial alongside eric7.

#### MercurialPage.save

save()

Public slot to save the Mercurial configuration.

Up